<template>
    <BoardTemplate>
        <BoardViewGrid :list="projects" v-if="representation === GRID && projects.length && render"/>
        <BoardViewTable :list="tasks" v-else-if="representation === TABLE && tasks.length"/>
        <div v-else>Задач в выбранном фильтре не найдено</div>
    </BoardTemplate>
</template>

<script>
import BoardTemplate from "@/components/Board/BoardTemplate"
import BoardViewTable from "@/components/Board/views/table/BoardViewTable"
import BoardViewGrid from "@/components/Board/views/grid/BoardViewGrid"
import {mapGetters} from 'vuex'
import {BOARD_REPRESENTATION} from '@/config/app'




























export default {
    watch: {
        'projects': function () {
            this.render = false
            this.$nextTick(() => this.render = true)
        }
    },
    data: () => ({
        render: true,
        ...BOARD_REPRESENTATION
    }),
    computed: {
        ...mapGetters({
            isTablet: ['viewport/isTablet'],
            board: ['board/getBoard'],
            projects: ['project/getProjects'],
            tasks: ['task/getTasks'],
            representation: ['tab/getRepresentationActive']
        }),
    },
    beforeRouteLeave(to, from, next) {
        this.$store.commit('board/setBoard', {})
        this.$store.commit('project/setProjects', [])
        this.$store.commit('task/setTasks', [])
        next()
    },
    components: {BoardTemplate, BoardViewGrid, BoardViewTable}
}
</script>
